{% from "system/map.jinja" import system_settings with context %}
{% set settings = system_settings['sleep'] %}

{% if settings.disable %}
# Disable common sleep states
disable_sleep_target:
  service.masked:
    - name: 'sleep.target'

disable_suspend_target:
  service.masked:
    - name: 'suspend.target'

disable_hibernate_target:
  service.masked:
    - name: 'hibernate.target'

disable_hybrid-sleep_target:
  service.masked:
    - name: 'hybrid-sleep.target'
{% else %}
# Enable sleep states
enable_sleep_target:
  service.unmasked:
    - name: 'sleep.target'

enable_suspend_target:
  service.unmasked:
    - name: 'suspend.target'

enable_hibernate_target:
  service.unmasked:
    - name: 'hibernate.target'

enable_hybrid-sleep_target:
  service.unmasked:
    - name: 'hybrid-sleep.target'
{% endif %}
